{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/settlement_concept_expose_forwarding') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/settlement_concept_expose_forwarding') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_matching_object_detail', {'id': buildingUnit.getId(), 'tab': 'ansiedlungskonzepte'}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Exposé weiterleiten, Objekt <i>{{ buildingUnit.getName() }}</i> </span>
        {{ form_widget(settlementConceptExposeForwardingForm.submit, {'label': 'WEITERLEITEN', 'id': settlementConceptExposeForwardingForm.submit.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h1 class="fs-4 d-flex align-items-center">Objekt-Exposé an den Konzeptanbietenden weiterleiten.</h1>
            <p>
                Um das untenstehende Objekt weiterzuleiten, klicken Sie bitte auf den WEITERLEITEN-Button oben rechts.
                Die Weiterleitung erfolgt dabei über den Dienstleister &raquo;{{ settlementConcept.getSettlementConceptAccountUser().getFullName() }}&laquo;.
            </p>
            {{ form_start(settlementConceptExposeForwardingForm, {'attr': {'id': settlementConceptExposeForwardingForm.vars.id ~ '_form'}}) }}
            {{ form_row(settlementConceptExposeForwardingForm._token) }}
            {{ form_end(settlementConceptExposeForwardingForm, {'render_rest': false}) }}
        </div>
        <div class="mb-4">
            {% include 'company_location_management/component/matching/object_detail_card_component.html.twig' with {'buildingUnit': buildingUnit} only %}
        </div>
    </div>
{% endblock %}
